---
title: Get
url: https://www.tines.com/docs/api/cases/activities/get/
updated: 2026-06-10T10:57:12+00:00
description: Retrieve a single case activity.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Activities](https://www.tines.com/llm/docs/api/cases/activities.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/cases/activities/get/)*

## Description

Retrieve a single case activity.

## Request

HTTP Method: **GET**

| Query Parameter  | Description                                                                                                                                |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| case_id          | The ID of the case.                                                                                                                        |
| activity_id      | The ID of the case activity.                                                                                                               |
| resolve_mentions | **Optional** When set to `true` and the activity is a comment, replaces mention tokens in `value` with display names. Defaults to `false`. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/activities/<<activity_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object containing the case activity.

### Field description

| Parameter     | Description                                                                                                                                  |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| case_id       | The ID of the case.                                                                                                                          |
| id            | The activity ID.                                                                                                                             |
| activity_type | The type of activity.                                                                                                                        |
| value         | The value of the activity.                                                                                                                   |
| file          | An object describing the file attached to the activity. Available only for `FILE_ATTACHED` or `FILE_ATTACHED_AND_COMMENTED` type activities. |
| user          | An object describing the user who performed the activity.                                                                                    |
| created_at    | The timestamp of the activity.                                                                                                               |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 10,
  "id": 10,
  "activity_type": "FILE_ATTACHED_AND_COMMENTED",
  "value": "This is a case comment",
  "file": {
    "filename": "foo",
    "url": "http://<tenant-domain>/api/v2/cases/10/files/10/download"
  },
  "user": {
    "id": 1,
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "avatar_url": "example.com/avatar",
    "is_service_account": false
  },
  "created_at": "2023-07-18T10:27:18Z"
}
```

<!-- cspell:enable -->
